## libxmlada 25.0.0

=== debian/changelog ===
libxmlada (25.0.0-4build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:56 +0200

libxmlada (25.0.0-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.
  * Clean the files generated by autotools
  * Enable salsa CI via debian/salsa-ci.yml

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Mar 2025 12:27:02 +0100

libxmlada (25.0.0-3) experimental; urgency=medium

  * Force gnat-14 in Build-Depends (else unstable is preferred).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 19 Dec 2024 09:50:30 +0000

libxmlada (25.0.0-2) experimental; urgency=medium

  * Rebuild in experimental, gnat (>= 14) is now really available.
  * Drop the version restrictions in the unicode-data build-dependency.
  * Update exceptions for Unicode 16 block names.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Dec 2024 09:52:18 +0000

libxmlada (25.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Build with gnat-14 in experimental.
  * Reduce diff with gprbuild/debian/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Oct 2024 13:12:41 +0200
