=== debian/tests/control ===
Tests: link-with-shared
Depends: @, gprbuild

Tests: no-project
Depends: @, dpkg-dev, gcc
