=== debian/watch ===
version=4

https://github.com/AdaCore/xmlada/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
